/*
 * gui_misc.h
 *
 * Misc GUI functions
 */

#ifndef __GUI_MISC_H__
#define __GUI_MISC_H__

GtkWidget *create_widget_from_xpm(GtkWidget *window, gchar **xpm_data);
GtkWidget *create_bar_submenu(GtkWidget *menu, char *name);
GtkWidget *create_menu_item(GtkWidget *window,
			    GtkWidget *menu,
			    char *name,
			    char *accel,
			    char *tip,
			    GtkSignalFunc func,
			    gpointer data);


GtkAccelGroup *accel_group;
GtkTooltips *tooltips;

#endif /* __GUI_MISC_H__ */
