/*
 * piper.h
 */

#ifndef __PIPER_H__
#define __PIPER_H__

#include "goben.h"

struct piper {

	gint err;
	gint connected;
	gint fd_in;
	gint fd_out;

	gchar *app;
	gchar *options;

};

struct piper *new_piper(gchar *app, gchar *options);
void free_piper(struct piper *p);
gint connect_pipe(struct piper *p);
gint close_pipe(struct piper *p);


#endif /* __PIPER_H__ */
