/*
 * gui_dialogs.h
 */

#ifndef __GUI_DIALOGS_H__
#define __GUI_DIALOGS_H__

#include "sgftree.h"
#include "game.h"

enum fds { FILE_LOAD, FILE_SAVE, FILE_SAVEAS };



void file_dialog(char *title, gint type, gpointer data);
void info_dialog(struct game *g, struct sgftree *tree);
void message_dialog(char *title, char *message);
void yesno_dialog(char *message, void (*yesfunc)(GtkWidget *w, gpointer data),
		  void (*nofunc)(GtkWidget *w, gpointer data));


#endif/* __GUI_DIALOGS_H__ */
