/*
 * gui_goboard.h
 */

#ifndef __GUI_GOBOARD_H__
#define __GUI_GOBOARD_H__

#include "game.h"

void create_goban(GtkWidget *container, struct game *g);

void set_user_strings(struct game *g);
void sync_gui_board(struct game *g);
void update_state(struct game *g);
void init_goban(struct game *g);
void game_over(struct game *g, gint resignation);
void update_soft_settings(void);
void set_soft_settings(gint sc, gint cs, gint hc);
void set_status_bar(gchar *msg);
void set_edit_buttons(void);
void set_text(gchar *msg);
void set_current(struct sgfnode *node, gint var);
void update_vars(struct sgfnode *node, gint var);
void prod_gtk(void);

void settings_callback_display(GtkWidget *w, gpointer data);
void settings_callback_rules(GtkWidget *w, gpointer data);
void settings_callback_players(GtkWidget *w, gpointer data);
void settings_callback_ai(GtkWidget *w, gpointer data);

#endif /* __GUI_GOBOARD_H__ */
